Subject: bug#76652: closed (Re: [bug#76652] [PATCH] gnu: go-github-com-hodgesds-perf-utils: Skip more tests on arm.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 03 Mar 2025 14:33:02 +0000

Your bug report

#76652: [PATCH] gnu: go-github-com-hodgesds-perf-utils: Skip more tests on arm.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76652: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76652
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#76652] [PATCH] gnu: go-github-com-hodgesds-perf-utils: Skip more tests on arm.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Mon, 03 Mar 2025 14:32:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines <[email-masked]> writes:

> I see these failing when built on Honeycomb build machines:
>
>   === RUN   TestDataTLB
>       utils_test.go:234: no such file or directory
>   --- FAIL: TestDataTLB (0.00s)
>   === RUN   TestInstructionTLB
>       utils_test.go:246: no such file or directory
>   --- FAIL: TestInstructionTLB (0.00s)
>
> It could be something with the system configuration but just disable the tests
> for now. This is working towards getting the prometheus-node-exporter package
> building again on aarch64-linux.
>
> Note that there's even more test failures when trying to build with qemu
> binfmt emulation.
>
> * gnu/packages/golang-xyz.scm (go-github-com-hodgesds-perf-utils)[arguments]:
> Skip a couple more tests on arm.
>
> Change-Id: Ib5bc41679d825a1a727e240e7fffeb336f82db6d
> ---
>  gnu/packages/golang-xyz.scm | 6 +++++-
>  1 file changed, 5 insertions(+), 1 deletion(-)

I was hoping to wait for QA, but gnome-team has landed so I'm just going
to push this 🤞 as c8f537ac0517f45393c8bf68fc0259f185324cc5.

Subject: [PATCH] gnu: go-github-com-hodgesds-perf-utils: Skip more tests on arm.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Fri, 28 Feb 2025 18:12:08 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I see these failing when built on Honeycomb build machines:

  === RUN   TestDataTLB
      utils_test.go:234: no such file or directory
  --- FAIL: TestDataTLB (0.00s)
  === RUN   TestInstructionTLB
      utils_test.go:246: no such file or directory
  --- FAIL: TestInstructionTLB (0.00s)

It could be something with the system configuration but just disable the tests
for now. This is working towards getting the prometheus-node-exporter package
building again on aarch64-linux.

Note that there's even more test failures when trying to build with qemu
binfmt emulation.

* gnu/packages/golang-xyz.scm (go-github-com-hodgesds-perf-utils)[arguments]:
Skip a couple more tests on arm.

Change-Id: Ib5bc41679d825a1a727e240e7fffeb336f82db6d
---
 gnu/packages/golang-xyz.scm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/golang-xyz.scm b/gnu/packages/golang-xyz.scm
index 67957caae0..0b7858e4fe 100644
--- a/gnu/packages/golang-xyz.scm
+++ b/gnu/packages/golang-xyz.scm
@@ -7509,7 +7509,11 @@ (define-public go-github-com-hodgesds-perf-utils
                      "TestNodeCache"
                      "TestProfiler"
                      "TestSoftwareProfiler"
-                     "TestTraceFSMount")
+                     "TestTraceFSMount"
+                     #$@(if (target-arm?)
+                            '("TestDataTLB"
+                              "TestInstructionTLB")
+                            '()))
                "|"))))
     (native-inputs
      (list go-github-com-stretchr-testify))

base-commit: a76708a872e65230931f3c5c3b079d0a39d5cb84
-- 
2.48.1